package com.qianhe.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.qianhe.mapper.BzscYsjglggzscfjMapper;
import com.qianhe.domain.BzscYsjglggzscfj;
import com.qianhe.service.IBzscYsjglggzscfjService;

/**
 * 标准手册-油水井管理岗工作手册附件Service业务层处理
 *
 * @author qianhe
 * @date 2024-10-09
 */
@Service
public class BzscYsjglggzscfjServiceImpl implements IBzscYsjglggzscfjService
{
    @Autowired
    private BzscYsjglggzscfjMapper bzscYsjglggzscfjMapper;

    /**
     * 查询标准手册-油水井管理岗工作手册附件
     *
     * @param id 标准手册-油水井管理岗工作手册附件主键
     * @return 标准手册-油水井管理岗工作手册附件
     */
    @Override
    public BzscYsjglggzscfj selectBzscYsjglggzscfjById(Long id)
    {
        return bzscYsjglggzscfjMapper.selectBzscYsjglggzscfjById(id);
    }

    /**
     * 查询标准手册-油水井管理岗工作手册附件列表
     *
     * @param bzscYsjglggzscfj 标准手册-油水井管理岗工作手册附件
     * @return 标准手册-油水井管理岗工作手册附件
     */
    @Override
    public List<BzscYsjglggzscfj> selectBzscYsjglggzscfjList(BzscYsjglggzscfj bzscYsjglggzscfj)
    {
        return bzscYsjglggzscfjMapper.selectBzscYsjglggzscfjList(bzscYsjglggzscfj);
    }

    /**
     * 新增标准手册-油水井管理岗工作手册附件
     *
     * @param bzscYsjglggzscfj 标准手册-油水井管理岗工作手册附件
     * @return 结果
     */
    @Override
    public int insertBzscYsjglggzscfj(BzscYsjglggzscfj bzscYsjglggzscfj)
    {
        return bzscYsjglggzscfjMapper.insertBzscYsjglggzscfj(bzscYsjglggzscfj);
    }

    /**
     * 修改标准手册-油水井管理岗工作手册附件
     *
     * @param bzscYsjglggzscfj 标准手册-油水井管理岗工作手册附件
     * @return 结果
     */
    @Override
    public int updateBzscYsjglggzscfj(BzscYsjglggzscfj bzscYsjglggzscfj)
    {
        return bzscYsjglggzscfjMapper.updateBzscYsjglggzscfj(bzscYsjglggzscfj);
    }

    /**
     * 批量删除标准手册-油水井管理岗工作手册附件
     *
     * @param ids 需要删除的标准手册-油水井管理岗工作手册附件主键
     * @return 结果
     */
    @Override
    public int deleteBzscYsjglggzscfjByIds(Long[] ids)
    {
        return bzscYsjglggzscfjMapper.deleteBzscYsjglggzscfjByIds(ids);
    }

    /**
     * 删除标准手册-油水井管理岗工作手册附件信息
     *
     * @param id 标准手册-油水井管理岗工作手册附件主键
     * @return 结果
     */
    @Override
    public int deleteBzscYsjglggzscfjById(Long id)
    {
        return bzscYsjglggzscfjMapper.deleteBzscYsjglggzscfjById(id);
    }
}
